--污水处理厂--
insert into 业务_企业监测项目时间段(监测年,企业代码,企业类型,监测点代码,监测点名称,监测项目编号,起始日期,结止日期,执行标准代码,执行标准条件代码)
select a.* from 
(   
    select distinct 监测年,企业代码,'2' as 企业类型,企业代码 as 监测点代码,'污水处理厂' as 监测点名称,监测项目编号,convert(varchar(20),监测年)+'-01'+'-01' as 起始日期,
	convert(varchar(20),监测年)+'-12'+'-31' as 结止日期,标准代码 as 执行标准代码,标准条件编码 as 执行标准条件代码 from 业务_污水处理厂污染物信息
) as a
left  join 业务_企业监测项目时间段 as b on a.监测年=b.监测年 and a.企业代码=b.企业代码 and a.企业类型=b.企业类型
and a.监测点代码=b.监测点代码 and a.监测项目编号=b.监测项目编号 and convert(datetime,a.起始日期)=b.起始日期
and convert(datetime,a.结止日期)=b.结止日期 where b.id is null
go 